Bug 1615465 - Using database wildcard `%25` in VM queries causes exception, returns 500 to client
Summary: Using database wildcard `%25` in VM queries causes exception, returns 500 to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Yuri Rudman
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1581853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-13 16:30 UTC by Satoe Imaishi
Modified: 2018-11-05 13:58 UTC (History)
5 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1581853
Environment:
Last Closed: 2018-11-05 13:58:28 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:58:57 UTC
Red Hat Knowledge Base (Solution) 3541071 None None None 2018-08-13 16:30:42 UTC

Comment 1 CFME Bot 2018-09-11 20:21:29 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/85b2eb61b57efe68664026b6607f80d62a3c1c9e
commit 85b2eb61b57efe68664026b6607f80d62a3c1c9e
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Aug  9 09:37:02 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Aug  9 09:37:02 2018 -0400

    Merge pull request #17801 from kbrock/check-if-valid-field

    New and improved Field.is_field?()
    (cherry picked from commit ec091b9a98735b8a5b91aef77d04ef34955a219b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1615465

 lib/miq_expression/field.rb | 15 +-
 lib/miq_expression/target.rb | 7 +-
 spec/lib/miq_expression/field_spec.rb | 6 +-
 3 files changed, 14 insertions(+), 14 deletions(-)

Comment 2 Niyaz Akhtar Ansari 2018-10-03 14:44:41 UTC
It works fine with no error.
Verified in Version 5.9.5.0.20180927190514_e161d8f

Comment 4 errata-xmlrpc 2018-11-05 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.